Subject: Re: 答复: [dhcwg] Item for the Errata - Section 17.2.1 - RFC3315?

From: [email-masked]
Date: Mon, 8 Aug 2011 10:54:38 -0700 (PDT)

Greetings,

Please submit errata using 'Report New Errata' here:
  http://www.rfc-editor.org/errata.php

Instructions are here:
  http://www.rfc-editor.org/how_to_report.html

Please let us know if you have questions.

Thank you.

RFC Editor/ah

On Aug 8, 2011, at 12:05 PM, Leaf yeh wrote:

> Hi, Alice
>  
> The author of RFC3315 (Mr. Bernie Volz) and I believe that we need a fix in the section 17.2.1 of RFC3315.
>  
> Section 17.2.1 says:
>  
>    For example, if the administrative policy for the server is
>    that it may only respond to a client that is willing to accept a
>    Reconfigure message, if the client indicates with a Reconfigure
>    Accept option in the Solicit message that it will not accept a
>    Reconfigure message, the servers discard the Solicit message.
>  
> It should say:
>  
> For example, if the administrative policy for the server is that it may only respond to a client that is willing to accept a Reconfigure message, if the client does not include a Reconfigure Accept option in the Solicit message, the servers discard the Solicit message.
>  
>  
> Best Regards,
> Leaf
>  
>  
> 发件人: Bernie Volz (volz) [[email-masked]]
> 发送时间: 2011年7月31日 9:55
> 到: Leaf yeh; [email-masked]
> Cc: Ralph Droms (rdroms)
> 主题: RE: [dhcwg] Item for the Errata - Section 17.2.1 - RFC3315?
> 
> Yes, this would be a useful correction. I think at one point the option had a value and that might be why this text is as it is (we missed fixing it).
>  
> -          Bernie
>  
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Leaf yeh
> Sent: Thursday, July 28, 2011 4:13 PM
> To: [email-masked]
> Cc: Ralph Droms (rdroms)
> Subject: [dhcwg] Item for the Errata - Section 17.2.1 - RFC3315?
>  
> I might get a item for the Errata after reading RFC3315 this morning.
>  
> The words in the following 2 paragraphs have a conflict.
>  
> Section 17.2.1 - RFC3315 - DHCPv6 - Server Behavior - Receipt of Solicit Messages
>  
>    For example, if the administrative policy for the server is
>    that it may only respond to a client that is willing to accept a
>    Reconfigure message, if the client indicates with a Reconfigure
>    Accept option in the Solicit message that it will not accept a
>    Reconfigure message, the servers discard the Solicit message.
> Section 22.20 - RFC3315 - DHCPv6 - Reconfigure Accept Option
>  
>    A client uses the Reconfigure Accept option to announce to the server
>    whether the client is willing to accept Reconfigure messages, and a
>    server uses this option to tell the client whether or not to accept
>    Reconfigure messages. The default behavior, in the absence of this
>    option, means unwillingness to accept Reconfigure messages, or
>    instruction not to accept Reconfigure messages, for the client and
>    server messages, respectively. The following figure gives the format
>    of the Reconfigure Accept option:
> 
>      0                   1                   2                   3
>      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>     |     OPTION_RECONF_ACCEPT      |               0               |
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
>     option-code   OPTION_RECONF_ACCEPT (20).
>     option-len    0.
>  
> I mean the client can not include a Reconfigure Accept Option for the unwillingness to accept a Reconfigure message per the description of Reconfigure Accept Option in Section 22.20.
>  
> So the words for the revison in section 17.2.1 might be 'For example, if the administrative policy for the server is that it may only respond to a client that is willing to accept a Reconfigure message, if the client does not include a Reconfigure Accept option in the Solicit message, the servers discard the Solicit message.'
>  
>  
> Best Regards,
> Leaf
>